# Courtail

Interface WEB d'administration pour le serveur de courriel *Postfix* dont la documentation est disponible sur [doc.ycharbi.fr](https://doc.ycharbi.fr/index.php/Serveur_de_courriels).

## Fonctionnalités

L'objectif de Courtail est de permettre le paramétrage de certaines fonctionnalités de messagerie tel que :

* ajout, activation/désactivation, suppression des alias virtuels
* ajout, activation/désactivation, suppression des domaines
* ajout, activation/désactivation, suppression des adresses en liste noire
* changement de mot de passe des utilisateurs
* exportation/importation des alias virtuels d'un utilisateur
* exportation/importation des données (à la carte) du site

## Dépendances du projet

Pour Debian 11 (Bullseye) :

`apt install --no-install-recommends apache2 php php-sqlite3`

## Environnement de développement

### Via Docker

Après avoir dupliqué le projet, réaliser les commandes suivantes :

`bash ./outils/rundocker.sh`

La page WEB est disponible sur [http://127.0.0.1:8080](http://127.0.0.1:8080) et [https://127.0.0.1:4443](http://127.0.0.1:8080).

#### Utilisateurs par défaut

Plusieurs utilisateurs sont créés dans notre exemple :

|Utilisateurs   |Mot de passe|Rôle          |
|---------------|------------|--------------|
|demo@exemple.fr|demo        |Administrateur|
|toto@exemple.fr|toto        |Administrateur|
|tata@exemple.fr|tata        |Utilisateur   |

*La définition d'un domaine par défaut dans la section dédiée du site permet l'usage d'identifiants courts (demo = demo@exemple.fr).*

## Galeries

![Page de connexion](outils/galerie/courtail-galerie-1.png)

![Page gestion des alias virtuels](outils/galerie/courtail-galerie-2.png)

![Page gestion des domaines](outils/galerie/courtail-galerie-3.png)

![Page liste noire des destinataires](outils/galerie/courtail-galerie-4.png)

![Page liste noire des expéditeurs](outils/galerie/courtail-galerie-5.png)

![Page des paramètres](outils/galerie/courtail-galerie-6.png)
